package page_votes

import (
	"time"
)

type TemplateIndexVars struct {
	VoterFullname  string
	Questions      []TemplateIndexVarsQuestion
	ExeFingerprint string
	CodeCommit     string
	CodeDate       time.Time
}

type TemplateIndexVarsQuestion struct {
	Name     string
	Sentence string
	VoteOpen bool
}

const TEMPLATE_INDEX_STR = `<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<title>Vote Électrolab</title>
		<!--link type="text/css" rel="stylesheet" href="/css/style.css"-->
	</head>
	<body>
		<p>Bienvenue {{.VoterFullname}} !</p>

		<p>Cette page vous est personnelle, et vous permet de voter. Ne transmettez pas ce lien à d'autres personnes !</p>

		<p>Voici la liste des votes du jour :</p>
		<ol>
			{{ range .Questions }}
				<a href="/questions/{{.Name}}"><li>

					{{.Sentence}}

					{{ if .VoteOpen }}
						<span class="vote-open">(Vote en cours)</span>
					{{ else }}
						<span class="vote-closed">(Vote fermé)</span>
					{{ end }}

				</li></a>
			{{ end }}
		</ol>

		<p class="footer">
			<p>Empreinte de l'exécutable: {{.ExeFingerprint}}</p>
			<p>Version du commit: {{.CodeCommit}}</p>
			<p>Date du commit: {{.CodeDate}}</p>
		</p>
	</body>
</html>
`
